Subject: RE: [Sigtran] ASP Load sharing

From: "Schantz, John" <[email-masked]>
Date: Thu, 19 Dec 2002 10:20:49 -0600

PSK,

I am not sure if I understand your argument.

I think that there has to be a "central" management/traffic authority in
the AS (I'll call it the AS).  How else would an AS be able to load
share its outbound traffic to both ASP1 and ASP2.  Hence, a local
failure related to an ASP should be known to the AS immediately.  Hence,
it is the AS and not some another ASP that decides to inform the
adjacent SG that one of AS's ASPs is inactive/down. 

John

-----Original Message-----
From: PSK Chakravarthi [mailto:[email-masked]] 
Sent: Thursday, December 19, 2002 7:19 AM
To: [email-masked]
Subject: [Sigtran] ASP Load sharing

Brian,

How an ASP finds out that another ASP is down?  Is it by polling? If so,

ASP1 and ASP2 are controlling AS1.  Traffic mode of ASP1 and ASP2 is
load-share.

ASP2 detected loss of communication with ASP1.
As per mail discussions ASP2 now sends ASP-Inactive message to SGP to
indicate ASP1 is down. But the communication between SGP and ASP1 may be
OK.  Loss of communication between two ASPs can not decide that one ASP
is in problem.  If so even ASP1 may send ASP_Inactive message to SGP to
indicate that ASP2 is down. I feel only SGP should decide the state of
ASP, so that there will not be any ambiguity in deciding the state of an
ASP.  But if experts feels that an ASP can detect the failure of another
ASP and can inform SGP then that ASP can use NOTIFY message.  Notify
message got both ASP Id and Routing context. So SGP can find out which
ASP is down.  We need not keep any constraint on ASP Id that ASP Id
should be globally unique.  Also we need to change ASP-Inactive and
ASP-Down messages. Please note that (section 3.8.2) NOTIFY can be sent
from a M3UA peer to another M3UA.

Thanks
Chak

_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran
_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran

---

From: "Mohan Parthasarathy" <[email-masked]>
Date: Thu, 19 Dec 2002 10:30:13 -0800

> indicate ASP1 is down.
> But the communication between SGP and ASP1 may be OK.  Loss 
> of communication
> between two ASPs can not decide that one ASP is in problem. 

Why not ? ASPs should have the full freedom in deciding who will
handle the traffic under different conditions. I don't think the
RFC can limit in how it should be done.

-mohan

> If so even ASP1
> may send ASP_Inactive message to SGP to indicate that ASP2 is down.
> I feel only SGP should decide the state of ASP, so that there 
> will not be
> any ambiguity in deciding the state of an ASP.  But if 
> experts feels that an
> ASP can detect the failure of another ASP and can inform SGP 
> then that ASP
> can use NOTIFY message.  Notify message got both ASP Id and 
> Routing context.
> So SGP can find out which ASP is down.  We need not keep any 
> constraint on
> ASP Id that ASP Id should be globally unique.  Also we need to change
> ASP-Inactive and ASP-Down messages. Please note that (section 
> 3.8.2) NOTIFY
> can be sent from a M3UA peer to another M3UA.
> 
> Thanks
> Chak
> 
>